Log In
T122144
Move most (all?) exim personal aliases to WMF ITS
Open, Stalled, MediumPublic500 Estimated Story Points
Assigned To
Dzahn
Authored By
faidon
Dec 22 2015, 12:21 PM
Tags
SRE (Backlog)
Mail (Backlog)
Epic
Infrastructure-Foundations (Backlog)
Subscribers
Aklapper
Dzahn
faidon
Krenair
Tokens
Description
For historical reasons, production has quite a few exim aliases that map user-preferred aliases to staff Google accounts (random example: luis: lvilla).
These are a pain to maintain, especially since this crosses administrative domains (those aliases are controlled by ops, but the right-hand side Google accounts are controlled by OIT).
Corp LDAP already has a field that is been used for email aliases (initials) and is used for most accounts nowadays (like e.g. mine).
We've previously agreed with OIT (@JKrauska in particular) to move the remaining exim aliases of ours to LDAP but this hasn't happened yet. I'm filing this to reboot this work and track it so we don't forget again. @Dzahn, is this perhaps something you could help with?
Related Objects
Task Graph
Mentions
StatusAssignedTask
StalledDzahnT122144 Move most (all?) exim personal aliases to WMF ITS
Resolved
JKrauska
T83791 move grants aliases to OIT?
ResolvedDzahnT123274 Exim Alias Remove - ask
ResolvedDzahnT123275 Remove exim alias - yuvipanda
Resolved
JKrauska
T123285 remove gbyrd from exim alias file
ResolvedDzahnT123286 remove ea@ alias?
ResolvedDzahnT123315 URGENT - remove jimmy@ alias from exim mail aliases
ResolvedDzahnT123330 Remove exim alias - timo: ttijhof
ResolvedDzahnT123331 Remove Exim Alias - luis: lvilla
ResolvedDzahnT123401 remove dana alias -- hasn't worked here in years
ResolvedDzahnT123406 exim alias remove - feed-sales
ResolvedDzahnT123407 remove dariot alias
ResolvedDzahnT123410 Remove exim alias - wikiguides
ResolvedDzahnT123421 Remove exim alias - contact
ResolvedDzahnT123423 remove exim alias - chad
ResolvedDzahnT123432 remove wikibugs-irc mail alias ?
ResolvedDzahnT126475 please delete majorgifts@ and majordonors@
ResolvedDzahnT123448 remove exim alias deskana
ResolvedDzahnT123452 remove exim alias - usermetrics
ResolvedDzahnT123453 remove exim alias - chase, chasemp, rush
ResolvedDzahnT123454 remove exim alias - dapatrick
ResolvedDzahnT123561 remove exim aliases - mgodwin
ResolvedDzahnT123562 remove exim alias - mkahn
ResolvedDzahnT123567 remove benefits@
ResolvedDzahnT123572 remove exim alias -- eekim
ResolvedDzahnT123575 remove exim aliases -- usability, usability team
ResolvedDzahnT123576 remove exim alias - aradhana
ResolvedDzahnT123578 remove exim alias - corissa
ResolvedDzahnT123581 consolidate mailman redirects in exim aliases file
ResolvedDzahnT123602 remove exim alias - rob
ResolvedDzahnT123605 remove exim alias - comp_committee
ResolvedDzahnT123646 remove exim alias keynote@
ResolvedDzahnT123665 remove exim alias feedbacktest@
Resolved
JKrauska
T123666 delete exim alias wikilibrary@ library@
ResolvedDzahnT123667 delete exim alias vpe-staff: eng-mgt
ResolvedDzahnT123669 remove/update office@wikipedia.org alias
ResolvedDzahnT123670 remove staff@wikipedia.org
ResolvedDzahnT123672 remove shop@wikipedia.org -> board@wikipedia.org
ResolvedDzahnT123676 remove exim alias oliver
ResolvedDzahnT123682 remove exim aliases - wikimedia brazil
ResolvedDzahnT126505 Remove exim aliases (chris, cjohnson)
ResolvedDzahnT126507 Remove exim aliases (marc, mpelletier)
ResolvedArielGlennT126508 Remove exim alias (atglenn)
ResolvedDzahnT126509 Remove exim aliases (dz, daniel.zahn, mutante)
ResolvedDzahnT126511 Remove exim alias (wikipedia10)
ResolvedDzahnT126520 Remove exim alias: mmi
ResolvedDzahnT126523 Remove exim aliases: (nitika, noopur, shiju, subhashish)
ResolvedDzahnT127488 (re)move problemsdonating aliases
ResolvedDzahnT127489 donation aliases for moneybookers?
ResolvedDzahnT127491 remove bugzilla related mail aliases
ResolvedDzahnT127493 remove / change blog@wm mail alias?
ResolvedDzahnT127503 why is shop@ -> board@ ?
ResolvedDzahnT127543 remove toolserver mail aliases
ResolvedDzahnT127546 delete communicationsintern@ mail alias ?
ResolvedNoneT127547 who should receive fellows@ email?
Restricted Task
ResolvedDzahnT127548 status of fdcsupport@ ?
ResolvedDzahnT127549 move travel related aliases to OIT
ResolvedDzahnT127550 status of studentgroups@ and studentclubs@ mail aliases?
ResolvedDzahnT127551 status of wikigroup@ alias
Restricted Task
ResolvedDzahnT128647 move fundraising group aliases to OIT
ResolvedDzahnT170365 move legal-tm-vio alias to OIT
ResolvedDzahnT210464 Tracking down gary@ and redirecting it to tsops@
ResolvedhasharT220664 Audit jenkins-bot@wikimedia.org usage and migrate to a better system
ResolvedDzahnT220843 move/update gerrit-admin@wikimedia.org mail alias
ResolvedDzahnT220844 remove RT mail aliases
OpenMBeat33T252932 Forwarding or alias for fundraising@
There are a very large number of changes, so older changes are hidden. Show Older Changes
Dzahn closed subtask T123665: remove exim alias feedbacktest@ as Resolved.
Jan 19 2016, 6:30 PM
Dzahn closed subtask T123666: delete exim alias wikilibrary@ library@ as Resolved.
Feb 9 2016, 12:05 AM
Dzahn closed subtask T123581: consolidate mailman redirects in exim aliases file as Resolved.
Feb 9 2016, 9:35 PM
Dzahn closed subtask T126507: Remove exim aliases (marc, mpelletier) as Resolved.
Feb 10 2016, 8:41 PM
Dzahn closed subtask T126509: Remove exim aliases (dz, daniel.zahn, mutante) as Resolved.
Feb 10 2016, 9:09 PM
Dzahn closed subtask T126511: Remove exim alias (wikipedia10) as Resolved.
Feb 10 2016, 9:22 PM
Dzahn closed subtask T126520: Remove exim alias: mmi as Resolved.
Feb 10 2016, 9:25 PM
Dzahn closed subtask T83791: move grants aliases to OIT? as Resolved.
Feb 10 2016, 9:29 PM
Dzahn closed subtask T126523: Remove exim aliases: (nitika, noopur, shiju, subhashish) as Resolved.
Feb 11 2016, 12:56 AM
Dzahn closed subtask T126505: Remove exim aliases (chris, cjohnson) as Resolved.
Feb 11 2016, 1:13 AM
Dzahn closed subtask T126508: Remove exim alias (atglenn) as Resolved.
Feb 19 2016, 5:52 PM
Dzahn added a comment.
Feb 19 2016, 5:59 PM
for now, all subtasks are resolved. i would consider it a "resolved phase 1" and a really nice step, but there is more to do. most subtasks were from Joel but he is no longer here now. creating some more tasks for phase 2 now.
Dzahn created subtask T127488: (re)move problemsdonating aliases.
Feb 19 2016, 6:05 PM
Dzahn created subtask T127489: donation aliases for moneybookers?.
Feb 19 2016, 6:08 PM
Dzahn created subtask T127491: remove bugzilla related mail aliases.
Feb 19 2016, 6:11 PM
Dzahn created subtask T127493: remove / change blog@wm mail alias?.
Feb 19 2016, 6:14 PM
Dzahn created subtask T127503: why is shop@ -> board@ ?.
Feb 19 2016, 6:59 PM
Dzahn created subtask T127543: remove toolserver mail aliases.
Feb 19 2016, 8:04 PM
Dzahn created subtask T127546: delete communicationsintern@ mail alias ?.
Feb 19 2016, 8:07 PM
Dzahn created subtask T127547: who should receive fellows@ email? .
Dzahn created subtask T127548: status of fdcsupport@ ?.
Feb 19 2016, 8:10 PM
Dzahn created subtask T127549: move travel related aliases to OIT.
Dzahn created subtask T127550: status of studentgroups@ and studentclubs@ mail aliases?.
Feb 19 2016, 8:13 PM
Dzahn created subtask T127551: status of wikigroup@ alias.
Dzahn closed subtask T127493: remove / change blog@wm mail alias? as Resolved.
Feb 19 2016, 9:13 PM
Dzahn removed Dzahn as the assignee of this task.
Feb 19 2016, 9:28 PM
T101939 for recommender-feedback@
Dzahn closed subtask T127491: remove bugzilla related mail aliases as Resolved.
Feb 25 2016, 5:54 PM
Dzahn closed subtask T127549: move travel related aliases to OIT as Resolved.
Feb 25 2016, 11:02 PM
Dzahn closed subtask T127547: who should receive fellows@ email? as Resolved.
Feb 25 2016, 11:32 PM
bbogaert reopened subtask T127549: move travel related aliases to OIT as Open.
Feb 26 2016, 12:28 AM
Dzahn mentioned this in T128639: Remove rbraceysherman@ from fr-all list.
Mar 2 2016, 8:40 PM
Dzahn created subtask T128647: move fundraising group aliases to OIT.
Mar 2 2016, 8:56 PM
Dzahn closed subtask T128647: move fundraising group aliases to OIT as Resolved.
Mar 4 2016, 2:04 AM
Dzahn closed subtask T127546: delete communicationsintern@ mail alias ? as Resolved.
Mar 4 2016, 6:35 AM
Dzahn closed subtask T127489: donation aliases for moneybookers? as Resolved.
Mar 4 2016, 6:06 PM
bbogaert reopened subtask T128647: move fundraising group aliases to OIT as Open.
Mar 7 2016, 8:35 PM
bbogaert closed subtask T128647: move fundraising group aliases to OIT as Resolved.
Mar 7 2016, 10:18 PM
Dzahn closed subtask T127503: why is shop@ -> board@ ? as Resolved.
Mar 10 2016, 12:03 AM
Dzahn closed subtask T127543: remove toolserver mail aliases as Resolved.
Mar 10 2016, 12:12 AM
Elitre added a subscriber: Elitre.
May 9 2016, 12:50 PM
Dzahn mentioned this in T140408: FDCsupport@wikimedia.org: Add/remove some members.
Jul 14 2016, 7:47 PM
Dzahn closed subtask T127551: status of wikigroup@ alias as Resolved.
Sep 20 2016, 10:03 PM
Dzahn closed subtask T127548: status of fdcsupport@ ? as Resolved.
Sep 20 2016, 10:18 PM
Dzahn mentioned this in T149604: Reset admin password for travel@lists.wikimedia.org.
Nov 5 2016, 2:36 AM
Dzahn mentioned this in T160400: Request for email address seniori@wikimedia.org.
Mar 16 2017, 11:19 PM
Jgreen closed subtask T127488: (re)move problemsdonating aliases as Resolved.
Jun 27 2017, 2:44 PM
Jgreen reopened subtask T127488: (re)move problemsdonating aliases as Open.
Jun 29 2017, 6:57 PM
Dzahn closed subtask T127488: (re)move problemsdonating aliases as Resolved.
Jul 7 2017, 10:36 PM
Dzahn mentioned this in T170361: Remove mbrar@wikimedia.org from legal-tm-vio@wikimedia.org​.
Jul 12 2017, 1:01 AM
Dzahn created subtask T170365: move legal-tm-vio alias to OIT.
Jul 12 2017, 1:05 AM
Dzahn closed subtask T127550: status of studentgroups@ and studentclubs@ mail aliases? as Resolved.
Aug 18 2017, 9:57 PM
IMBLUESKY added a subscriber: IMBLUESKY.
Aug 30 2017, 11:33 AM
Dzahn mentioned this in T188753: WMCZ want to use its own mail system instead of OTRS queue wm-cz@wikimedia.org.
Mar 2 2018, 6:10 PM
Dzahn closed subtask T127549: move travel related aliases to OIT as Resolved.
Apr 24 2018, 12:26 AM
Dzahn closed subtask T170365: move legal-tm-vio alias to OIT as Resolved.
Apr 24 2018, 1:23 AM
Dzahn added a comment.
Apr 24 2018, 1:29 AM
all subtasks are resolved now. yay!
all remaining things are either "ops" internal or technical (like techcom@ , packagist-admin@, analytics-alerts@ ) (maybe one remaining question on T100860?)
or they are individual aliases (out of scope of this ticket)
closing as resolved
Dzahn closed this task as Resolved.
Apr 24 2018, 1:29 AM
Dzahn claimed this task.
Dzahn added a subtask: T210464: Tracking down gary@ and redirecting it to tsops@.
Nov 26 2018, 11:01 PM
Krinkle awarded a token.
Feb 20 2019, 12:16 AM
Dzahn closed subtask T210464: Tracking down gary@ and redirecting it to tsops@ as Resolved.
Mar 4 2019, 10:40 AM
faidon reopened this task as Open.
Mar 4 2019, 12:00 PM
In T122144#4152079, @Dzahn wrote:
or they are individual aliases (out of scope of this ticket)
Individual/personal aliases were actually the original scope of this task -- what am I missing?
(I also see still a bunch of role aliases, but things seem considerably better since I last looked, that's awesome :)
Dzahn mentioned this in T217590: Please create talkpageconsultation@wikimedia.org email alias.
Mar 5 2019, 12:19 PM
hashar added a subtask: T220664: Audit jenkins-bot@wikimedia.org usage and migrate to a better system.
Apr 10 2019, 9:31 PM
Dzahn mentioned this in T220843: move/update gerrit-admin@wikimedia.org mail alias.
Apr 12 2019, 6:00 PM
hashar closed subtask T220664: Audit jenkins-bot@wikimedia.org usage and migrate to a better system as Resolved.
Apr 12 2019, 9:56 PM
Dzahn closed subtask T220843: move/update gerrit-admin@wikimedia.org mail alias as Resolved.
Apr 12 2019, 11:01 PM
Dzahn closed subtask T220844: remove RT mail aliases as Resolved.
Apr 26 2019, 8:33 PM
Dzahn added a comment.
Apr 26 2019, 11:31 PM
I have sent email to 26 different people, former board members, former staff etc, asking them if they still use their aliases and are aware of them and at the same time checking if the recipient addresses are bouncing. Things that are not used anymore don't have to move to OIT.
Dzahn added a comment.
May 28 2019, 8:40 PM
I have removed a bunch of aliases where people responded they were not aware of having them or that they don't need them anymore.
After that initial cleanup i opened a couple OIT tickets to move some more low-hanging fruit over (legal aliases, duplicate alias of existing employee etc).
After that i started to ask about the remaining personal aliases for former board members and affiliates that are being sent to external addresses.
I got this response so far:
1) We are not currently able to set up external email aliases for internal addresses (ie a gmail alias for a wiki user, Google does not allow for this) 2) Email forwarding is restricted for 'out of domain' accounts. I'm not sure if there have been exceptions in the past, or for people like board members, but that is something I will have to reach out to Eliza about when she returns next week
I replied that we probably don't need 1) but we do need 2) and that WMF as a whole / legal should be aware that these exceptions have existed in practice for many years.. it would just be a difference where in the technology stack we make them.
Dzahn mentioned this in T226443: Add Eric to cpt-leads@wikimedia.org and remove Marko to cpt-leads@wikimedia.org.
Jul 5 2019, 5:01 PM
Dzahn added a comment.
Jul 31 2019, 2:18 AM
Currently there is an attempt to get "mail only" licenses from Google. OIT will let us know about the progress.
Elitre removed a subscriber: Elitre.
Aug 29 2019, 9:07 AM
chasemp added a subscriber: chasemp.
Feb 12 2020, 5:45 PM
Dzahn added a project: Epic.
Mar 18 2020, 5:46 PM
Dzahn changed the task status from Open to Stalled.
Apr 10 2020, 12:43 PM
Dzahn mentioned this in T252932: Forwarding or alias for fundraising@.
May 18 2020, 7:00 AM
Dzahn added a subtask: T252932: Forwarding or alias for fundraising@.
May 18 2020, 7:06 AM
Dzahn mentioned this in T259727: Create Group Aliases for itservices@.
Aug 27 2020, 8:24 PM
Dzahn added a comment.
Oct 15 2020, 11:48 PM
We will remove remaining personal aliases for non-staff once 2020 is over. The users will be contacted that they have time until end of year to switch to an alternative. This was decided in cooperation with ITS and the board.
Aklapper renamed this task from Move most (all?) exim personal aliases to OIT to Move most (all?) exim personal aliases to WMF ITS.
Oct 16 2020, 12:31 AM
Aklapper removed subscribers: chasemp, IMBLUESKY, JKrauska.
Dzahn set Due Date to Jan 1 2021, 8:00 AM.
Nov 24 2020, 7:37 PM
Dzahn set the point value for this task to 500.
Dzahn added a subscriber: JKrauska.
Dzahn removed a subscriber: JKrauska.
Dzahn changed the task status from Stalled to Open.
Dec 22 2020, 11:09 PM
Will be resolved Jan 1st
Dzahn added a comment.
Jan 4 2021, 5:57 PM
Aliases of former board members, staff and affiliates that have been removed now after the announcement from ITS and the grace period until end of 2020.
fdevouard@wikipedia.org is undeliverable: Address fdevouard@wikipedia.org does not exist mdavis@wikipedia.org is undeliverable: Address mdavis@wikipedia.org does not exist erik@wikipedia.org is undeliverable: Address erik@wikipedia.org does not exist kwalsh@wikipedia.org is undeliverable: Address kwalsh@wikipedia.org does not exist oscar@wikipedia.org is undeliverable: Address oscar@wikipedia.org does not exist jan-bart@wikipedia.org is undeliverable: Address jan-bart@wikipedia.org does not exist sue@wikipedia.org is undeliverable: Address sue@wikipedia.org does not exist tshell@wikipedia.org is undeliverable: Address tshell@wikipedia.org does not exist dwool@wikipedia.org is undeliverable: Address dwool@wikipedia.org does not exist domas@wikipedia.org is undeliverable: Address domas@wikipedia.org does not exist jbsoufron@wikipedia.org is undeliverable: Address jbsoufron@wikipedia.org does not exist jeluf@wikipedia.org is undeliverable: Address jeluf@wikipedia.org does not exist millosh@wikipedia.org is undeliverable: Address millosh@wikipedia.org does not exist gmaxwell@wikipedia.org is undeliverable: Address gmaxwell@wikipedia.org does not exist avar@wikipedia.org is undeliverable: Address avar@wikipedia.org does not exist tomk32@wikipedia.org is undeliverable: Address tomk32@wikipedia.org does not exist fdevouard@wikimedia.org is undeliverable: Address fdevouard@wikimedia.org does not exist mdavis@wikimedia.org is undeliverable: Address mdavis@wikimedia.org does not exist kwalsh@wikimedia.org is undeliverable: Address kwalsh@wikimedia.org does not exist jdevreede@wikimedia.org is undeliverable: Address jdevreede@wikimedia.org does not exist kjansen@wikimedia.org is undeliverable: Address kjansen@wikimedia.org does not exist cbrown@wikimedia.org is undeliverable: Address cbrown@wikimedia.org does not exist tshell@wikimedia.org is undeliverable: Address tshell@wikimedia.org does not exist msnow@wikimedia.org is undeliverable: Address msnow@wikimedia.org does not exist jbsoufron@wikimedia.org is undeliverable: Address jbsoufron@wikimedia.org does not exist jeluf@wikimedia.org is undeliverable: Address jeluf@wikimedia.org does not exist ahair@wikimedia.org is undeliverable: Address ahair@wikimedia.org does not exist millosh@wikimedia.org is undeliverable: Address millosh@wikimedia.org does not exist gmaxwell@wikimedia.org is undeliverable: Address gmaxwell@wikimedia.org does not exist avar@wikimedia.org is undeliverable: Address avar@wikimedia.org does not exist birgittesb@wikimedia.org is undeliverable: Address birgittesb@wikimedia.org does not exist jan.ainali@wikimedia.org is undeliverable: Address jan.ainali@wikimedia.org does not exist lars.aronsson@wikimedia.org is undeliverable: Address lars.aronsson@wikimedia.org does not exist kristoffer.mellberg@wikimedia.org is undeliverable: Address kristoffer.mellberg@wikimedia.org does not exist johan.schiff@wikimedia.org is undeliverable: Address johan.schiff@wikimedia.org does not exist styrelsen@wikimedia.org is undeliverable: Address styrelsen@wikimedia.org does not exist sgardner@wikimedia.org is undeliverable: Address sgardner@wikimedia.org does not exist
Dzahn changed the task status from Open to Stalled.
Mar 8 2021, 6:35 PM
Setting this to Stalled again because we are blocked on board feedback currently.
Aklapper removed Due Date.
Mar 29 2021, 8:31 AM
Aklapper added a subscriber: JKrauska.
Aklapper removed a subscriber: JKrauska.
Aklapper added a project: Infrastructure-Foundations.
Jun 21 2021, 9:00 PM ·
Log In to Comment
Content licensed under Creative Commons Attribution-ShareAlike 3.0 (CC-BY-SA) unless otherwise noted; code licensed under GNU General Public License (GPL) or other open source licenses. By using this site, you agree to the Terms of Use, Privacy Policy, and Code of Conduct. · Wikimedia Foundation · Privacy Policy · Code of Conduct · Terms of Use · Disclaimer · CC-BY-SA · GPL